<script lang="ts">
    import Button from '../components/Button.svelte';
</script>

<svelte:head>
    <title>Error | AZtendance</title>
</svelte:head>

<h2>welp, one of us did a bad</h2>
<p>
    AZtendance is still very much a work in progress,
    which means that a lot of error handling code still has
    to be written. For now, this is the best error message
    we can provide.
</p>
<p>
    If you're seeing this, something went wrong. More than
    likely, you either entered an incorrect password or
    tried to find a user that doesn't exist. However, it
    could also be an issue on our end. If you think it
    might be a problem with AZtendance itself, feel free
    to reach out to Leo! You can email him at
    <a href="mailto:leo@team6479.org">leo@team6479.org</a>
    or ping him in our team's Discord server.
</p>
<p>
    Sorry for any inconvenience. Hopefully, we'll have
    more descriptive messages (and less errors!) soon.
</p>
<br>
<Button theme="secondary" href="/logout" content="Logout" />
<p>
    Logging out may solve certain errors.
</p>